Welcome to the new monday developer community
Discussions category for everything related to app development on top of monday.com
Recently active
want to get users list who are having access to workspace. I am using below query query { workspaces(ids:[some id,some id1]){ id users_subscribers{ id name email is_admin } } } i am able to access two workspaces but in api response getting my user id in only one workspace. can any one help me how to see the list of users who are having access to corresponding workspaces
I’m trying to create my first feature but am running into an access token error: INFO: Access token is missing, running "mapps init" command There isn’t any pre-set up instructions in the creating an app docs. Is there a place where I should store my API token before running the command to create a feature? Has anyone else struggled with this error? I’m developing on a mac, mentioning in case that makes a difference.
I tried to setup the example code of gitub-monday-code and I am looks like something is missing and It does work it doesn’t event hit my deployment at monday I know it allot to ask but will appreciate if could some one take a look. this app install on this boardshvilams-team-group.monday.com
Question: Is it possible to have a standalone service (externally hosted app or serverless function) authenticate itself to obtain an API token (I am used to using client-credentials workflows for this in other contexts). Context: I am developing an Azure hosted app service that will poll data from a specific set of company boards. This app is written in .Net 6. So far I have successfully completed a PoC but the token I am using is my own personal developer token. I am aware that I can also, with correct permissions, use an admin API token but this seems somewhat insecure to use as a long term solution (even while using the likes of key vault to store it). I was hoping that it would be possible to register a new app and use the client id and secret to obtain a token for the app itself but I am unable to find any documentation to this effect (leading me to believe that maybe it is not possible). Is anyone able to confirm this for me please or perhaps steer me in the right direction for
After successfully running the scafolding command when creating a new feature, I pasted the url from my terminal and was able to create an app. I then ran: npm i npm run start I ended up getting the following error - Creating tunnel connection [FAILED: Failed to create tunnel connection.] When I go to my local browser I see the following: “Hello, your user_id is: still loading. Let’s start building your amazing app, which will change the world!” I’m able to see my user id when I check the preview in monday.com where my feature lives. Am I missing something in my .env?
Is it possible to get mirror columns values from sub-items with the GraphQL API? I have a board “x” with multiple items, each items have several sub-items. The sub-items are composed from multiple columns of type mirror from another board y. When I try to access the mirrored data with the API: Query: query { items(ids: ***) { subitems { id name column_values { id text } } } } Response: { "data": { "items": [ { "subitems": [ { "id": "***", "name": "item1", "column_values": [ { "id": "connect_boards_mk4", "text": null "value": null }, { "id": "mirror_mk3", "text": null "value": null }, { "id": "mirror_mk2", "text": null "value": null },
Hey Team, I would like to highlight a monday.com API query/mutation bugs/errors on STATUS or dropdown column changes via mutation query when i add value as “15” num it take as index but this “15” value already present as label in monday.com board columns. My Boards Status column labels includes only in number format like as following SC. (In-Store Period) status column and having column id: color__1 Now, I am trying to make mutation for change_simple_column_value and passing value as already present label from board column and for safer side as well pass create_labels_if_missing: true if label miss it should add automatically. `mutation { change_simple_column_value(item_id: ${itemID}, board_id: ${boardID}, column_id: "color__1", value: "20", create_labels_if_missing: true) { id } } ` Error or bugs: Below is the response I received even label is present in status column { error_code: ‘ColumnValueException’, status_code: 400, error_message: ‘change
Hello, i try to upload a file from client-side nextjs app with fetch to teh v2/file endpoint and getting the knowing CORS error. If i use the same setting at postman everything works with 200. It also works on the client-side with Moesif extension enabled. I also tryed it with the sdk and getting an 500 error because of the using v2 endpoint. It is a pain and took me hours. Is there any solution? Can someone help me who had the same problems. I also try the guide from @[Alex Savchuk] with no success. Thanks for any help! -Tobi
Hi there, I have developed my own Monday app to be used internally with my team on our Monday account. I was originally going to deploy my app to Monday Code and use Monday’s servers but I ran into a few issues and it was just a lot easier for me to simply deploy myself and use something like Docker on Digital Ocean. However, now I need to set up the domain tunnel and I’m just not quite sure how to do it. My app is written in Python and runs on Docker so the quickstart integrations can’t really help. Put simply, what do I need to do to get the calls from my App on Monday to reach my DO server and then my app. I’m assuming I probably need to deploy some kind of nodejs app (similar to the quickstart examples) but I am not 100% sure. I just need to redirect the calls from my app to the port 8080 on my DO server. Any help or directions to good documentation on the matter would be greatly appreciated! Best, James
In reading about making API calls to Monday.com, it seems like you are limited to 100 results when you make a query. I found on the forums people things along the lines of { boards(ids: 1122334455) { items(limit: 100, page: 1) { column_values { value text } } } } and then they say you increase the page to get more results than the limit. I’m wondering how you actually go about writing something that loops over increasing the page to get more results, and then also ensuring the loop would stop once you get under 100 results from the query. For reference, I am using python to make the API call, and my code looks something like this: apiKey = “mykey123” apiUrl = “https://api.monday.com/v2” headers = {“Authorization” : apiKey} query = ‘’'{ boards(ids: [1234567]) { name items_page { items { id name column_values { id type text } } } } } ‘’’ data = {‘query’ : query} r = requests.post(url=apiUrl, json=data, headers=headers).json() Any help on this topic would be greatly appreciated. Thank you
Hi! I don’t agree with 2 answers in the certification path in the API course. Can someone please clarify this for me? GraphQL is a query language and a runtime for executing those queries against your data. It’s not an application layer but rather a tool used to interact with data APIs. **With GraphQL, there is less time spent waiting for a server, and more time doing –while GraphQL can reduce the number of server requests, the speed depends on the server’s performance and the complexity of queries. It doesn’t inherently make the server faster.
My app feature was working, it’s from quickstart-integrations example, but today i have trouble to access the link. I don’t understand exact problem. Log output with redacted url [12:36:20.650] INFO: [console]2024/12/13 11:34:22 [error] 36#36: *40 FastCGI sent in stderr: "Primary script unknown" while reading response header from upstream, client: 169.254.169.126, server: , request: "GET /health HTTP/1.1", upstream: "fastcgi://unix:/layers/google.php.webconfig/webconfig/app.sock:", host: "latest---service-█-uk.a.run.app" Could you someone guide me please? Thank you
I’ve been reading the docs about the monday-code-sdk and have a few questions… Segregation of storage & secure storage In Storage, data: is segregated according to the accountId and app, so data stored by one account is inaccessible by other accounts to provide an additional layer of security. So far, so good. This all seems quite reasonable. And in monday terminology, an account is the instance of monday, or tenant, easily identified by a unique origin e.g. https://myexampleaccount.monday.com In Secure Storage: The secureStorage method stores sensitive customer data for monday-code projects. The data is stored securely and logically segregated, meaning it is stored in smaller categories on the same device to easily grant or block access. It is segregated for your specific app, so data stored by one app is inaccessible by other apps to provide an additional layer of security. 👉 Question 1. The sentence below seems a bit vague. Could this be expanded upon in the document
Hello, I’m looking for some advice on whether it’s possible to connect a google sheet (that gets updated every hour) to a monday board. My google sheet has columns that update every hour but the first column that contain the name of an item always remains the same. Essentially what I’m looking to do is have some Monday columns also update either hourly or once a day for the relevant item which will match the item name in google sheets. When a new line is created in the google sheet then that would also be created into my Monday board and then the update would kick in. TIA Alex
Hello, Short story: I’ve created a new board template and I’m having trouble creating a new board with that template via the API. Using the template ID shown in the template center, the create_board mutation throws a “CreateBoardException” with status code 400. Long story: Long ago, I created some board templates and have been using them since without issue. These old board templates are located in a workspace with non-template boards (in addition to the template center) and have a 9 digit ID number like any other board, only with a wand icon. I am able to create a new board using the create_board mutation and this ID. Editing the template from the template center takes me directly to the template board in its workspace, and the template retains its original template ID. Now, when I create a new board template it’s moved out of its workspace and into the template center. This new template has an 8 digit template ID in the template center. This is the ID that throws the “CreateBoardExce
Hello all! There are bits and pieces of documentation that relate to this topic, but none that explicitly show how to use this mutation from Python (that I’ve been able to find). Basically, I’d like the query set up so that I have dynamic variables for both file (the image being uploaded) and item_id (the Item to which the image is uploaded to). Does anyone have an example script showing how this is done? Here is what I’ve tried so far: import requests import json import os import pandas as pd from pprint import pp apiKey = os.getenv("MONDAY_API_TOKEN") apiUrl = "https://api.monday.com/v2" headers = {"Authorization" : apiKey} url = "https://api.monday.com/v2/file" payload = {'query': 'mutation add_file($file: File!, $item: ID!) {add_file_to_column (item_id: $item, column_id:"files__1" file: $file) { id } }'} variables = { 'file': open('/path/to/my/file.svg', 'rb'), 'item_id': '6530743418' } payload['variables'] = variables response = requests.post(url, headers=headers, data=pa
Can someone give me a demo app integrated with java application monday
I tried to setup the example code of gitub-monday-code and I am looks like something is missing and It does work it doesn’t event hit my deployment at monday I know it allot to ask but will appreciate if could some one take a look. this app install on thatI tied it on this boardshvilams-team-group.monday.com
Hi, For debugging and support reasons, I came across a need to check specific account’s recipe values. Let’s say I wrote an app with a sentence builder feature, which has a recipe. A user installs the app and configure his/her recipe place holders with relevant values. I would like to get the configuration of this specific install (i.e. the specific values he/she configured). Is this something that exists and I wasn’t aware of? If not, would be very helpful for all of us app builders. Thanks!
Hi, I am trying to make a custom automation with the phrase “When status changes create an item in board” I want to make the “item” in the phrase an item column values field in order to be able to dynamically map fields between the new item in the other board and the current board. How can i have an item column values field in the recipe which takes the columns from another board ? I have tried with with a custom entity as described Dynamic mapping The problem is that the form I am getting this way looks different than the default form. Thanks for your suggestions.
Thanks to some great help here, I can get all the data in my board with the following query… query { boards (ids: [123456789]) { items_page (limit: 50) { cursor items { id name column_values { id text value column { id type title settings_str } } } } } } The data that comes back look like this… { "data": { "boards": [ { "items_page": { "cursor": "some-long-string-of-chars", "items": [ { "id": "987654321", "name": "Company name", "column_values": [ { "id": "subitems__1", "text": null, "value": "{}", "column": { "id": "subitems__1", "type": "subtasks",
Is there any way to set an item default value in specific board by sending api call?
I’m trying to do some basic JWT validation on board views/item views etc. I have a board view at say: https://xxxx.example.app/my-board-view When the board view is displayed, it has a sessionToken request parameter (actually a JWT token) passed through to it from monday: https://xxxx.example.app/my-board-view?sessionToken={sessionToken} …which I should be able to validate against the “Signing secret” from “Basic information” here (for my app): https://myinstance.monday.com/apps/manage/:app_id/app_versions/:app_version/sections/appDetails I have this as MONDAY_SIGNING_SECRET in my javascript server side code. So basic validation should look something like this: import jwt from 'jsonwebtoken'; ... const sessionToken = new URLSearchParams(location.search).get('sessionToken') || null; if (!sessionToken) { // throw error(401, 'No token found.'); } try { const payload = await jwt.verify(sessionToken, MONDAY_SIGNING_SECRET); // all good, continue // now add all the logic here..
I’m trying to fix a feature in monday.com that was created by someone who previously worked on this project. I see that I can download a zip file but I’m struggling to find how to properly unzip the file so that I can then work on the feature locally. Can someone point me to the correct documentation or help me with some steps on how I might be able to work on this feature?
Hi, Item mapping is a trigger output of “When a Status Changes to Something” in the built-in trigger. However, I do not received this itemMapping payload. Any suggestions Why? link of the documentation : https://apps.developer.monday.com/docs/monday-trigger-blocks
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.